Subject: [Q] Please, ObjC Dll linked Program Does not Work!!!
From: [email-masked] (Chun, Sung Jin)

14 Aug 1998 01:03:07 -0700
Message-ID: <[email-masked]>
Reply-To: "Chun, Sung Jin" <[email-masked]>
To: "GNU-Win32" <[email-masked]>

>I've asked some question on creating dll in ObjC but
>there's no response but I managed to create the dll.
>But this time in my system Windows 95, this links well
>and there's no error such as "Cannot find class XXX"
>But in this time Windows error Dialog box!!!
>" Cannot execute XXX"
>and return to prompt.
>And in C++ example in MinGW32( yes, I'm using MinGW32
>gcc-2.8.1 ) also have the same problem. Does any one can
>tell me how to solve this problem ? I'm currently porting ObjC
>program into Windows environment from Linux, and this dynamic
>loading feature is desperately needed in my program

I found the solution!!!!
But this is not for Windows 95 users. :-(
In Windows NT the creation of dll is not problem and
resulting binaries are usable in Windows 95, so,
I think the source of problem is the difference of Windows95
and NT though I'm not sure.

I Hope this can help people who have the same problem
of mine

******************************************

I like N*Step's beauty, but Iove Freedom.

[email-masked]

---ObjC---
NSString* NSMyName = @"Chun, sungjin";
[ NSMyName fly ];
---ObjC---

******************************************

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".